Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-65392

'Exception - Argument 1 passed to MatthiasMullie\Minify\JS::getKeywordsForRegex() must be of the type array, boolean given, called in [dirroot]/lib/minify/matthiasmullie-minify/src/JS.php on line 354' after installing new Moodle software

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 3.6.3
    • Fix Version/s: None
    • Component/s: Administration
    • Labels:
      None
    • Affected Branches:
      MOODLE_36_STABLE

      Description

      According to the Upgrading-document at docsl.moodle.org, the current Moodle software is removed to a local location (Step 6.1 Standard install package). The moodle-latest-36.zip is downloaded and extracted and moved to the location of the old files (Step 6.2). Step 3 'Copy your old config.php file back to the new Moodle directory' is successfully executed. As is the 'Data'-folder and '.htaccess'-file.

      Finishing the upgrade (Step 7 to trigger the upgrade processess within Moodle) results in a '
      Exception - Argument 1 passed to MatthiasMullie\Minify\JS::getKeywordsForRegex() must be of the type array, boolean given, called in [dirroot]/lib/minify/matthiasmullie-minify/src/JS.php on line 354
      '

      when going to https://www.x.x/admin/index.php. I want to go to Administration > Site administration > to take my site out of Maintenance mode. What did go wrong?

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              wim83 W. Schouten
              Participants:
              Component watchers:
              Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: